/*_############################################################################
  _## 
  _##  SNMP4J-AgentJMX - MOTableJMX.java  
  _## 
  _##  Copyright (C) 2006-2009  Frank Fock (SNMP4J.org)
  _##  
  _##  This program is free software; you can redistribute it and/or modify
  _##  it under the terms of the GNU General Public License version 2 as 
  _##  published by the Free Software Foundation.
  _##
  _##  This program is distributed in the hope that it will be useful,
  _##  but WITHOUT ANY WARRANTY; without even the implied warranty of
  _##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  _##  GNU General Public License for more details.
  _##
  _##  You should have received a copy of the GNU General Public License
  _##  along with this program; if not, write to the Free Software
  _##  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
  _##  MA  02110-1301  USA
  _##  
  _##########################################################################*/

package org.snmp4j.agent.mo.jmx;

import org.snmp4j.agent.mo.DefaultMOTable;
import org.snmp4j.smi.OID;
import org.snmp4j.agent.mo.MOTableIndex;
import org.snmp4j.agent.mo.MOColumn;

import org.snmp4j.agent.mo.MOTableModel;

/**
 * The <code>MOTableJMX</code> implements a {@link DefaultMOTable} for MBean
 * instrumented SNMP tables. Currently this class' implementation is the same
 * as {@link DefaultMOTable}. The real mapping between the SNMP data and the
 * MBean data is done by the table's model.
 *
 * @author Frank Fock
 */
public class MOTableJMX extends DefaultMOTable {

  public MOTableJMX(OID oid, MOTableIndex indexDef, MOColumn[] columns,
                    MOTableModel model) {
    super(oid, indexDef, columns, model);
  }

  public void setModel(JMXTableModel model) {
    super.model = model;
  }

}
